//Copyright 2018 Huawei Technologies Co.,Ltd.

#import "ViewController.h"

@interface ViewController ()<UINavigationControllerDelegate,UIImagePickerControllerDelegate>
@property (weak, nonatomic) IBOutlet UILabel *videoPathLab;
@property (nonatomic,strong) NSURL *fileUrl;
@property (nonatomic,strong) NSString *filePath;
@end

NSString *SK = @"FitRM7tNOCR1HwqL4gAn81oi2hVkT5ATl26UJI6Z";
NSString *AK = @"OH68342Q2YVRSYOLGGKT";
NSString *endPoint = @"https://vod.cn-north-1.myhuaweicloud.com";
NSString *bucketName = @"vod-bucket-98";
NSString *objectKey = @"38b29a7d2fc34bdbbce4f852aea367df/b099f42fdca9680a2f804c9042875744/5312d1d4e4c60a50c2bc7885e23c69ff.mp4";
NSString *projectId=@"38b29a7d2fc34bdbbce4f852aea367df";
NSString *token=@"gQpjbi1ub3J0aC0xhUypS1_KUGp3c5mHr7ObG7v1CPcrHDpLk9jyF46C28JZpnYyej2ANW6y4sqQMfW2Tr_Q7wwhkyC44DAjJwOzoKm8cAEYpBOZby6lcYmgZVtQE-mp1kpZtNgkIkutydThxjZwR8RkV39RxdOVwKojoOyz2DgAE07YwTi-xh4ksWuyIF1HTpTaAcgT4ctddqL15npTVW_e5w3CfU09wasiu5-TUThJkx7BvjVhIC6hVR9q3QIi3JEV0iGqw49kcgCPOIAQrdbETizmjSz6vVXZei7R-F8n0LMnoqQTZsYlg4vTq9q0bOHIMssnE7RAKkJJAludxC42-twd5l_vapqXv3c_8BiB9hxqrjelHWdtiUnOslu4MV-sDTe0csFsRNY7NeW15p7nZvuzcVFDUnf4s2sYHD-uT5jGcmmhpWL4F9kas6r6wFSSPoiy8DoeA8mrsZqFUSAleQX-5TXY4QNklSP-8GXY-g6ZQg6C-VEgLT5iOJHtTKZJI1aZS1vyjeOggqWkrnycL1cT03vG38-NFBc8AmNjqZ8LNcIryDFmGBc0XqNDbBzuN1zDNQHaeLb1rH9Nl55IytSYPFHIv285kAJHaEebYpGKJIRH4mrr5H3NM1Vg9NBquerpuKPsOlhhUnXvrWiXndRZjv-SjGd0vRiO2hEDaut65pvjg_9D80rAJ-rQSMxVdvmK2oqF_ko-Y2bAEBGTvXNX9g8zF5AL0zGxEHB4tia-v6tcCMtcjYlY";


@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];

}

- (IBAction)selectVideo:(UIButton *)sender {
    NSLog(@"从相册选择");
    UIImagePickerController *picker=[[UIImagePickerController alloc] init];
    
    picker.delegate=self;
    picker.allowsEditing=NO;
    picker.videoMaximumDuration = 1.0;//视频最长长度
    picker.videoQuality = UIImagePickerControllerQualityTypeHigh;//视频质量
    
    //媒体类型：@"public.movie" 为视频  @"public.image" 为图片
    //这里只选择展示视频
    picker.mediaTypes = [NSArray arrayWithObjects:@"public.movie", nil];
    
    picker.sourceType= UIImagePickerControllerSourceTypeSavedPhotosAlbum;
    
    [self presentViewController:picker animated:YES completion:^{
        
    }];
    
}

- (IBAction)startExeUpload:(UIButton *)sender {
//    _fileUrlZ = [[NSBundle mainBundle] URLForResource:@"test02.mp4" withExtension:nil];
//    NSLog(@"%@",_fileUrlZ);
//    _filePathZ =[_fileUrlZ.absoluteString stringByReplacingOccurrencesOfString:@"file://" withString:@""];

    vodUploadLib *vodUpload = [[vodUploadLib alloc] initWithEndPoint:endPoint SK:SK  AK:AK bucketName:bucketName objectKey:objectKey projectId:projectId token:token];
    vodUpload.delegateUploadVod = self;
    [vodUpload startUpload:_filePath];
}

#pragma mark UIImagePickerControllerDelegate
- (void)imagePickerController:(UIImagePickerController *)picker didFinishPickingMediaWithInfo:(NSDictionary<NSString *,id> *)info{
    
    NSString *mediaType=[info objectForKey:UIImagePickerControllerMediaType];
    
    if ([mediaType isEqualToString:@"public.movie"]){
        //如果是视频
        _fileUrl = info[UIImagePickerControllerMediaURL];//获得视频的URL

        _filePath = [_fileUrl.absoluteString stringByReplacingOccurrencesOfString:@"file://" withString:@""];

        self.videoPathLab.text = _filePath;
    }
    
    [self dismissViewControllerAnimated:YES completion:nil];
}

/** 进度回调*/
- (void)prograssCallback:(float)prograss
{
    self.uploadProgressView.progress=prograss;
    if(prograss==1.0)
       [self showMessage:@"上传成功"];
}

/** 错误信息回调 */
- (void)errorCallback:(NSDictionary*)errorInfo
{
    NSLog(@"%@",errorInfo);
}

-(void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event
{
    [self.view endEditing:YES];
}

#pragma mark - 封装弹出对话框方法
// 提示信息
- (void)showMessage:(NSString *)Msg {
    // 1.弹框提醒
    // 初始化对话框
    UIAlertController *alert = [UIAlertController alertControllerWithTitle:@"提示" message:Msg preferredStyle:UIAlertControllerStyleAlert];
    [alert addAction:[UIAlertAction actionWithTitle:@"确定" style:UIAlertActionStyleDefault handler:nil]];
    // 弹出对话框
    [self presentViewController:alert animated:true completion:nil];
}

@end
